import '../button/button';
import '../icon/icon';
import { LocalizeController } from '../../utilities/localize';
import SolidElement from '../../internal/solid-element';
export default class SdDrawer extends SolidElement {
    private readonly hasSlotController;
    localize: LocalizeController;
    private modal;
    private originalTrigger;
    drawer: HTMLElement;
    panel: HTMLElement;
    overlay: HTMLElement;
    closeButton: HTMLElement;
    open: boolean;
    label: string;
    placement: 'end' | 'start';
    contained: boolean;
    noHeader: boolean;
    firstUpdated(): void;
    disconnectedCallback(): void;
    private requestClose;
    private addOpenListeners;
    private removeOpenListeners;
    private handleDocumentKeyDown;
    handleOpenChange(): Promise<void>;
    handleNoModalChange(): void;
    show(): Promise<void>;
    hide(): Promise<void>;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-drawer': SdDrawer;
    }
}
